For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • POST/regenerate-key
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Org managementRegenerate key

/regenerate-key

POST
/regenerate-key
POST
/api/chat/v1/regenerate-key
$curl -X POST https://api.merge.dev/api/chat/v1/regenerate-key \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Remote Deployment Key 1"
>}'
200Successful
1{
2 "name": "Remote Deployment Key 1",
3 "key": "hXY57W0g0WkdRHjCaPvwijK63fwfN-o_Wh7f30SLTq_uPCOLo-WFcA"
4}
Exchange remote keys.
Was this page helpful?
Previous

/generate-key

Next

/audit-trail

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Request

This endpoint expects an object.
namestringRequired>=1 character
The name of the remote key

Response

namestring
keystring